<?php
/**
 *
 * phpbbwordpress. An extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2022, axew3, http://axew3.com
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace w3all\phpbbwordpress\acp;

/**
 * Display Only First Post ACP module info.
 */
class main_info
{
	public function module()
	{
		return [
			'filename'	=> '\w3all\phpbbwordpress\acp\main_module',
			'title'		=> 'ACP_PHPBBWORDPRESS_TITLE',
			'modes'		=> [
				'settings'	=> [
					'title'	=> 'ACP_PHPBBWORDPRESS',
					'auth'	=> 'ext_w3all/phpbbwordpress && acl_a_board',
					'cat'	=> ['ACP_PHPBBWORDPRESS_TITLE'],
				],
			],
		];
	}
}
