<?php
/**
 *
 * phpBB WordPress integration. An extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2022, axew3, http://axew3.com
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

if (!defined('IN_PHPBB'))
{
  exit;
}

if (empty($lang) || !is_array($lang))
{
  $lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

$lang = array_merge($lang, [

  //'DISPLAYONLYFIRSTPOST_REP_MODE_HIDE_POST'   => 'Hide the entire post content',
  //'DISPLAYONLYFIRSTPOST_REP_MODE_REPLACE'   => 'Replace the post text with custom content',
  //'DISPLAYONLYFIRSTPOST_SEP_BYCOMMA'    => ' &nbsp;if more than one, separate by comma',

  //'PHPBBWORDPRESS_EVENT_REPLACEMENT_TEXT'   => '<p class="error">You can only view the first post into this topic.<br />Please register or join the memberships allowed to view all the replies!</p>',

  'ACP_PHPBBWORDPRESS_WPDBHOST' => 'WordPress database host',
  'ACP_PHPBBWORDPRESS_WPDBNAME' => 'database name',
  'ACP_PHPBBWORDPRESS_WPDBUSER' => 'database username',
  'ACP_PHPBBWORDPRESS_WPDBPASS' => 'database password',
  'ACP_PHPBBWORDPRESS_WPDBTABLEPREFIX' => 'database table prefix',
  'ACP_PHPBBWORDPRESS_WPDBPORT' => 'database port',
  'ACP_PHPBBWORDPRESS_WP_URL' => 'WordPress URL (note that the URL should finish with a slash. Ex: <i>https://www.mysite.com/</i> or the linked WP maybe will not process correctly the cURL request from phpBB)',
  'PHPBBWORDPRESS_UEXIST' => 'The username or email exists into the linked CMS',
]);
